Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000515Core InformRelationspublic2011-01-20 04:272014-05-07 07:34
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000515: various-to-one relations of things to values causes the compiler to crash
Description"Compiler finished with code 10"
Minimal Source Text To Reproduce
A verbal person is a kind of value.
A personal pronoun is a kind of thing.
[A personal pronoun is a kind of value.][works]

Personification relates various personal pronouns to one verbal person.
The verb to personify (it personifies, they personify, it personified, it is personified, it is personifying) 
implies the personification relation.

The first singular person is a verbal person.
je is a personal pronoun which personifies the first singular person.


When play begins:
	if je personifies a verbal person:
		showme the verbal person to which je relates by the Personification relation;

There is a room.
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0000972)
Phonatacid (reporter)
2011-01-20 04:32

The bug disappears if we use the following piece of code

je is a personal pronoun.
je personifies the first singular person.
(0000974)
EmacsUser (manager)
2011-01-21 09:36

Confirmed.

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000000
0x00023fcf in Specifications__compile ()
(gdb) bt
#0 0x00023fcf in Specifications__compile ()
#1 0x00115f45 in Semantics__BPs__Subjects__compile ()
#2 0x00132025 in World__Subjects__compile_all ()
#3 0x0013210a in World__Compile__compile ()
#4 0x00130ee6 in Config__Template__interpret ()
#5 0x0012a966 in Config__Template__interpret ()
#6 0x001314bc in main ()
(0001305)
graham (administrator)
2011-10-02 13:54

A tricksy one, this, but fixed now.

- Issue History
Date Modified Username Field Change
2011-01-20 04:27 Phonatacid New Issue
2011-01-20 04:32 Phonatacid Note Added: 0000972
2011-01-20 12:33 jmcgrew Status new => acknowledged
2011-01-21 09:36 EmacsUser Note Added: 0000974
2011-01-21 09:36 EmacsUser Status acknowledged => confirmed
2011-10-02 13:54 graham Note Added: 0001305
2011-10-02 13:54 graham Status confirmed => resolved
2011-10-02 13:54 graham Resolution open => fixed
2011-10-02 13:54 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker